Bug 1018681 - Case "emulator" in kvm unit test gets stuck on RHEL6.5 host
Case "emulator" in kvm unit test gets stuck on RHEL6.5 host
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 03:42 EDT by Shaolong Hu
Modified: 2013-12-05 05:37 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-16 09:29:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shaolong Hu 2013-10-14 03:42:05 EDT
Description of problem:
--------------------------
I recently run kvm unit test (using run_tests.sh with default unittests.cfg) with upstream qemu on latest RHEL6.5 host, there are 3 cases get stuck, 2 cases fail.

I am not sure whether this is a kvm bug, or kvm unit test problem, or i run kvm unit test wrong, i only modify run_test.sh and x86_run script a little bit to separate log file for each case, and i use upstream qemu for i was told in RHEL6 testdev device in our internal version may not guarantee to work, so feel free to change the component or close if this is notabug.


Version-Release number of selected component (if applicable):
--------------------------------------------------------------
kernel 2.6.32-421.el6.x86_64
qemu: latest upstream
kvm unit test: latest upstream

host:

vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Quad CPU    Q9500  @ 2.83GHz




This bug is to track the "emulator" case, which gets stuck, i have to kill the qemu process, log:

qemu-system-x86_64 -enable-kvm -device testdev,chardev=testlog -chardev file,id=testlog,path=msr.out -serial stdio -kernel x86/emulator.flat -smp 1
VNC server running on `::1:5900'
enabling apic
paging enabled
cr0 = 80010011
cr3 = 7fff000
cr4 = 20
FAIL: mov reg, r/m (1)
FAIL: or
FAIL: add
FAIL: xor
FAIL: sub
FAIL: adc(0)
FAIL: adc(0)
FAIL: sbb(0)
FAIL: sbb(1)
FAIL: and
FAIL: test
FAIL: repe/cmpsb (1)
FAIL: repe/cmpsb (1.zf)
FAIL: repe/cmpsw (1)
FAIL: repe/cmpll (1)
FAIL: repe/cmpsq (1)
FAIL: repe/cmpsb (2)
FAIL: repe/cmpsw (2)
FAIL: repe/cmpll (2)
FAIL: repe/cmpsq (2)
Comment 1 Shaolong Hu 2013-10-14 03:46:16 EDT
BTW, the "-display none" command does not exists, i have to remove it from script or it shows all cases pass but don't run them at all.
Comment 2 Gleb Natapov 2013-10-14 05:10:22 EDT
Upstream unit tests is not suppose to pass on rhel6. We intentionally do not backport all fixes from upstream, not all of them are critical.
Comment 3 Shaolong Hu 2013-10-14 05:29:17 EDT
(In reply to Gleb Natapov from comment #2)
> Upstream unit tests is not suppose to pass on rhel6. We intentionally do not
> backport all fixes from upstream, not all of them are critical.

Do we have a relative old kvm unit test internal git? I may need re-test it, or should we pass it on RHEL6?
Comment 4 Gleb Natapov 2013-10-14 06:12:15 EDT
(In reply to Shaolong Hu from comment #3)
> (In reply to Gleb Natapov from comment #2)
> > Upstream unit tests is not suppose to pass on rhel6. We intentionally do not
> > backport all fixes from upstream, not all of them are critical.
> 
> Do we have a relative old kvm unit test internal git? I may need re-test it,
> or should we pass it on RHEL6?
What have been used till now to test rhel6? IIRC upstream one does not work with rhel6 for a long time. I think we had local git for tests when we disabled tests that do not suppose to work, but I cannot find one now.
Comment 6 Ademar Reis 2013-10-16 09:29:10 EDT
As explained by Gleb above, we need to change this automated test, as upsteam kvm-unit tests are not expected to pass in RHEL6.x.

Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.